Google Pub/Sub Connector Release Notes - Mule 4

Support Category: Select

Anypoint Connector for Google Pub/Sub (Google Pub/Sub Connector) enables you to access the Google Pub/Sub messaging platform. This connector exposes operations provided by the Google Pub/Sub client libraries.

1.0.2

January 20, 2022

Compatibility

Software Version

Anypoint Studio

7.3.5 and later

Mule runtime engine

4.3.0 and later

Open JDK

8 and 11

Fixed Issues

Issue ID

Upgraded the com.google.protobuf library due to a security vulnerability.

CONN-9977

Updated the com.fasterxml.jackson.core library to 2.13.1 to address security vulnerabilities.

CONN-9813

1.0.1

November 15, 2021

Compatibility

Software Version

Anypoint Studio

7.3.5 and later

Mule runtime engine

4.3.0 and later

Open JDK

8 and 11

Fixed Issues

Issue ID

Upgraded the com.google.code.gson library due to a security vulnerability.

CONN-9286

1.0.0

October 18, 2021

What’s New

This is a new connector.

For a list of supported configurations and operations, refer to the Google Pub/Sub Connector Reference Guide.

Compatibility

Software Version

Anypoint Studio

7.3.5 and later

Mule runtime engine

4.3.0 and later

Open JDK

8 and 11

Was this article helpful?

💙 Thanks for your feedback!

Give us your feedback!
We want to build the best documentation experience for you!
Help us improve with your feedback.
Take the survey!